Bug 239332 - Intel Mobile Video Multidisplay Locks System -White screen
Intel Mobile Video Multidisplay Locks System -White screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 12:37 EDT by penguinpages
Modified: 2009-10-22 08:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Working X Configuration file with NO Multidisplay (863 bytes, text/plain)
2007-05-29 13:15 EDT, penguinpages
no flags Details
xorg.conf file built from "system-config-display" for multiple individual desktops (but not working) (1.31 KB, text/plain)
2007-05-29 13:17 EDT, penguinpages
no flags Details
xorg.conf file built from "system-config-display" for multiple spanned desktops (but not working) (1.49 KB, text/plain)
2007-05-29 13:19 EDT, penguinpages
no flags Details
Xorg.0.log file built from test for multiple individual desktops (55.66 KB, text/plain)
2007-05-29 13:20 EDT, penguinpages
no flags Details
Xorg.0.log file built from test for multiple spanned desktops (50.78 KB, text/plain)
2007-05-29 13:22 EDT, penguinpages
no flags Details

  None (edit)
Description penguinpages 2007-05-07 12:37:41 EDT
Description of problem:
IBM T43 Laptop Intel Video locks system if set to dual monitor mode. No recovery
but power off

Version-Release number of selected component (if applicable):
2.6.21-1.3116.fc7
Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
xorg-x11-server-Xorg-1.3.0.0-3.fc7

How reproducible:
100%

Steps to Reproduce:
1. Save off your /etc/X11/xorg.conf 
2. Run "system-configure-display"
3. Set "Dual head" checkbox to enabled (if you restart X at this point NO change
is made to graphics which is my first clue things were not going to go well)
4. Set "Dual head" ->"Desktop Layout" to "spanning desktops"
5. Close X and restart -> screens both go white and Ctr+Alt+backspace does Not
restart X. Only power button forces shutdown.
6. Can not even go back into "system-configure-display" as it tries existing
which sets both screens to white and does not have ability to recover at lower
resolution. (yes I know you can tell it to ignore conf file but for typical user
this is not good)

Actual results:
Solid white screen on both monitors

Expected results:
Spanned monitor or if set to "independant monitor" it should have a separate
desktop from the LCD / primary display.

Additional info:
This worked fine with My T41 with FC7U4 and also with my T42. I literally got
this T43 two days ago and everything works fine BUT my ability to do dual
monitors which is important to my day job.

I searched for any known issues and non seem applicable to this issue. No
drivers exist, I did update all system BIOS etc.
Comment 1 Adam Jackson 2007-05-11 17:13:01 EDT
What version of xorg-x11-drv-i810 is this with?
Comment 2 penguinpages 2007-05-14 08:09:03 EDT
[root@wizej ~]# rpm -qa |grep xorg |grep 810
xorg-x11-drv-i810-2.0.0-2.fc7


Also due to no update on this thread... I made an attempt at compiling my own to
see if there was any change http://www.intellinuxgraphics.org/download.html

No change. This had no effect.

(begs on knees) ... please .. help... have mercy on someone who has a 21"
monitor who misses having it shine on his pale face!!
Comment 3 Luis Martinez 2007-05-23 13:17:56 EDT
I have also found the same behaviour with Packard Bell Easy Note BU, that has by
lspci an "Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated
Graphics Controller (rev 03)"
I have tryed with several kernels, latest was 2.6.21-1.3175.fc7.
My i810 drv is xorg-x11-drv-i810-2.0.0-3.fc, and I believe that intel
experimental   driver is used in my case.
My arch is x86_64
Comment 4 Matěj Cepl 2007-05-29 12:19:43 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 penguinpages 2007-05-29 13:15:09 EDT
Created attachment 155602 [details]
Working X Configuration file with NO Multidisplay
Comment 6 penguinpages 2007-05-29 13:16:09 EDT
Here are the log files per request (as I understood them)

Process:
1) mv /etc/X11/xorg.conf xorg.conf.orig
2) mv /var/log/Xorg.* /tmp
3) system-config-display
    a) Set display as Generic 1024x768 LCD
    b) Enable Multidisplay with Generic CRT 1024x768 with "Individual Desktops"
    c) Save and exit
4) Add line at end of /var/log/Xorg.setup.log to denote changes saved
5) startx  
(yield was working primary laptop display and CRT but both had the "same"
session and not "individual")

6) exit Xwindows
7) system-config-display
    a) Settings for primary display were set to 800x600 with no option to change
so left as is
    b) Changed settings under multidisplay from "Individual" to "Spanned"
    c) exited to save
8) startx 
(yield was white screen on both LCD on laptop and CRT.  Ctrl+alt+backspace did
not work. Ctrl+alt+Delete Reboots system which I have set to runlevel 3

Attached are the configuration and log files: 
Comment 7 penguinpages 2007-05-29 13:17:23 EDT
Created attachment 155603 [details]
xorg.conf file built from "system-config-display" for multiple individual desktops (but not working)
Comment 8 penguinpages 2007-05-29 13:19:52 EDT
Created attachment 155604 [details]
xorg.conf file built from "system-config-display" for multiple spanned desktops (but not working)

This is the configuration file which causes system failure of 'white' screen on
both displays.
Comment 9 penguinpages 2007-05-29 13:20:52 EDT
Created attachment 155605 [details]
Xorg.0.log file built from test for multiple individual desktops
Comment 10 penguinpages 2007-05-29 13:22:03 EDT
Created attachment 155607 [details]
Xorg.0.log file built from test for multiple spanned desktops

This is the log after second run of 'system-config-display' where settings
changed to 'spanned' display vs individual. This ends with both laptop and crt
white screen
Comment 11 Jesse Barnes 2008-01-10 17:35:27 EST
Sounds like you want separate X displays for each head, :0.0 and :0.1?  If so, 
you're right that that configuration is no longer supported in the intel 
driver (though there is an upstream bug filed and we may add support for it 
later).  Sounds like a dup of #198062 (which should probably be renamed to "no 
zaphod mode in intel driver" or somesuch).
Comment 12 Jesse Barnes 2008-01-10 17:37:14 EST
Err, wrong bug.  I meant #220466.
Comment 13 Matěj Cepl 2008-05-02 11:08:12 EDT
Bugs which may be related are bug 444977 and bug 443447
Comment 14 Matěj Cepl 2008-05-07 05:47:31 EDT
*** Bug 444977 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2008-05-07 05:47:42 EDT
*** Bug 443447 has been marked as a duplicate of this bug. ***
Comment 16 Matěj Cepl 2008-05-07 05:49:52 EDT
Bug 444977 has a lot of information in the attachment 304390 [details].

Bug 443447 has /var/log/Xorg.*.log in the attachment 304702 [details].
Comment 17 Kristian Høgsberg 2008-05-12 17:30:47 EDT
(In reply to comment #7)
> Created an attachment (id=155603) [edit]
> xorg.conf file built from "system-config-display" for multiple individual
> desktops (but not working)

system-config-display is on it's way out and is generally not doing useful
things these days.  This config uses the vesa driver, which is why compiz gives
you an all white screen (that's a bug in itself, of course).

These days, multi-monitor setup should be done using gnome-display-properties or
xrandr on the command line.
Comment 18 Bug Zapper 2008-05-13 22:52:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-06-09 18:35:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2009-07-14 13:08:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.